File: 1260.txt

package info (click to toggle)
snort 2.9.7.0-5
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid, stretch
  • size: 55,000 kB
  • ctags: 38,464
  • sloc: ansic: 266,667; sh: 12,508; makefile: 2,908; yacc: 497; perl: 496; lex: 261; sed: 14
file content (61 lines) | stat: -rw-r--r-- 1,173 bytes parent folder | download | duplicates (6)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
Rule:

--
Sid:
1260

--
Summary:
This event is generated when an attempt is made to exploit a known
vulnerability in AOLServer.

--
Impact:
Possible Denial of Service (DoS) and execution of arbitrary code.

--
Detailed Information:
A vulnerability exists in versions of AOL Server that may allow an
attacker to overflow a fixed length buffer and execute code of their
choosing on a vulnerable host.

The problem lies in the processing of user supplied passwords used in
basic authentication to the host. A long password may exceed a fixed
length buffer and allow an attacker to overwrite portions of memory and
execute code of their choosing.

--
Affected Systems:
	AOL AOLServer 3.0 and 3.2

--
Attack Scenarios:
An attacker needs to supply a password 2048 bytes in length to trigger
the overflow.

--
Ease of Attack:
Simple. Exploits are available.

--
False Positives:
None known.

--
False Negatives:
None known.

--
Corrective Action:
Upgrade to the latest non-vulnerable version of the software.

--
Contributors:
Sourcefire Vulnerability Research Team
Brian Caswell <bmc@sourcefire.com>
Nigel Houghton <nigel.houghton@sourcefire.com>

-- 
Additional References:

--